Bug 731344 - biosdevname=0 not documented
Summary: biosdevname=0 not documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chuck Frain
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:00 UTC by mattias hellstrom
Modified: 2013-09-17 09:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-17 09:42:23 UTC


Attachments (Terms of Use)
Added biosdevname option to the networking section (1.05 KB, patch)
2012-03-03 04:39 UTC, Chuck Frain
no flags Details | Diff

Description mattias hellstrom 2011-08-17 12:00:59 UTC
Description of problem: To disable "consistent device naming" you need to know the secret password that is biosdevname=0 as boot option to anaconda.


Version-Release number of selected component (if applicable): f14, f15

Additional info:
biosdevname makes scripting networking very hard, the way to disable it needs to be documented among other kickstart/anaconda options.

Comment 1 Jack Reed 2011-10-20 03:13:19 UTC
Hi Mattias

Thanks for raising this. Unfortunately I can't find any reference to 'consistent device naming' or 'biosdevname' in either the Fedora 14 or 15 Installation Guides.

The closest mention I can find is this option to start a kickstart installation: ks=bd:<biosdev>:/<path>

Can you direct me to the specific section you're concerned about, and provide any other details that will help me with this update?

Thanks,

Jack

Comment 2 Karsten Wade 2011-12-14 03:45:11 UTC
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!

Comment 3 Chuck Frain 2012-03-03 04:39:32 UTC
Created attachment 567225 [details]
Added biosdevname option to the networking section

I added a line about the biosdevname option to disable the consistent device naming. Please review to make sure that the line is accurate for the change.

Comment 4 Jack Reed 2012-03-08 01:10:33 UTC
Chuck, thanks very much for working that out and providing the patch - fantastic.

I've added that with some tweaks to the --network kickstart option. I haven't included it in Additional Boot Options because they are specific to installation and adding this would be inconsistent.

Consistent Network Device Naming has its own appendix in the System Administrators Guide, including instructions for this boot option, so we are still providing the information in the docs. I've also added a reference to this appendix in the kickstart option.

Added in commit 2ec211283ce66830e66e0632741638da8ef7d4e1

Comment 5 Petr Bokoc 2013-09-17 09:42:23 UTC
Fixed, closing.


Note You need to log in before you can comment on or make changes to this bug.